<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-vendors-contact-heading">Create or edit a Vendors Contact</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_title">Title</label>
                    <input type="text" class="form-control" name="title" id="field_title"
                           formControlName="title"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_firstName">First Name</label>
                    <input type="text" class="form-control" name="firstName" id="field_firstName"
                           formControlName="firstName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_lastName">Last Name</label>
                    <input type="text" class="form-control" name="lastName" id="field_lastName"
                           formControlName="lastName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_mobile">Mobile</label>
                    <input type="text" class="form-control" name="mobile" id="field_mobile"
                           formControlName="mobile"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_email">Email</label>
                    <input type="text" class="form-control" name="email" id="field_email"
                           formControlName="email"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_businessTitle">Business Title</label>
                    <input type="text" class="form-control" name="businessTitle" id="field_businessTitle"
                           formControlName="businessTitle"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_contactTagId">Contact Tag Id</label>
                    <input type="text" class="form-control" name="contactTagId" id="field_contactTagId"
                           formControlName="contactTagId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_contactTagName">Contact Tag Name</label>
                    <input type="text" class="form-control" name="contactTagName" id="field_contactTagName"
                           formControlName="contactTagName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_active">Active</label>
                    <input type="checkbox" class="form-control" name="active" id="field_active"
                           formControlName="active"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_vendor">Vendor</label>
                    <select class="form-control" id="field_vendor" name="vendor" formControlName="vendor">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="vendorOption.id === editForm.get('vendor')!.value?.id ? editForm.get('vendor')!.value : vendorOption" *ngFor="let vendorOption of vendors; trackBy: trackById">{{ vendorOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_shop">Shop</label>
                    <select class="form-control" id="field_shop" name="shop" formControlName="shop">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shopOption.id === editForm.get('shop')!.value?.id ? editForm.get('shop')!.value : shopOption" *ngFor="let shopOption of shops; trackBy: trackById">{{ shopOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
